#include <stdio.h>
#include <stdlib.h>

#include <sp/spBaseLib.h>
#include <sp/spAudioLib.h>
#include <sp/spMain.h>

int spMain(int argc, char *argv[])
{
    int i;
    char *plugin_name;
    spPlugin *plugin;

    /*spSetDebugLevel(100);*/
    
    for (i = 0;; i++) {
        spDebug(-1, NULL, "i = %d\n", i);
        
        if ((plugin_name = xspSearchPluginFile(i)) == NULL) {
            spDebug(-1, NULL, "i = %d, break\n", i);
            break;
        }
        spDebug(-1, NULL, "i = %d, plugin_name = %s\n", i, plugin_name);
        printf("%s\n", plugin_name);

        if ((plugin = spLoadPlugin(plugin_name)) != NULL) {
            printf("version = %ld, description = %s, information = %s\n",
                   spGetPluginVersionId(plugin), spGetPluginDescription(plugin), spGetPluginInformation(plugin));

            spFreePlugin(plugin);
        } else {
            spDebug(-1, NULL, "cannot load plugin: %s\n", plugin_name);
        }
        
        xspFree(plugin_name);
    }
    
    spDebug(-1, NULL, "done\n");
    
    return 0;
}
